## org.aspectj.weaver.loadtime.definition
Class Definition

    java.lang.Object
      org.aspectj.weaver.loadtime.definition.Definition

    public class Definition

extends java.lang.Object

A POJO that contains raw strings from the XML (sort of XMLBean for our simple LTW DTD)

Author:
  Alexandre Vasseur

Nested Class Summary
`static class` `Definition.ConcreteAspect`
`static class` `Definition.Pointcut`

Constructor Summary
`Definition()`

Method Summary
`void` `addScopedAspect(java.lang.String name, java.lang.String scopePattern)`
`void` `appendWeaverOptions(java.lang.String option)`
`boolean` `createDumpDirPerClassloader()`
`java.util.List` `getAspectClassNames()`
`java.util.List` `getAspectExcludePatterns()`
`java.util.List` `getAspectIncludePatterns()`
`java.util.List` `getConcreteAspects()`
`java.util.List` `getDumpPatterns()`
`java.util.List` `getExcludePatterns()`
`java.util.List` `getIncludePatterns()`
`java.lang.String` `getScopeForAspect(java.lang.String name)`
`java.lang.String` `getWeaverOptions()`
`void` `setCreateDumpDirPerClassloader(boolean b)`
`void` `setDumpBefore(boolean b)`
`boolean` `shouldDumpBefore()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Definition

    public Definition()

Method Detail

### getWeaverOptions

    public java.lang.String getWeaverOptions()

### getDumpPatterns

    public java.util.List getDumpPatterns()

### setDumpBefore

    public void setDumpBefore(boolean b)

### shouldDumpBefore

    public boolean shouldDumpBefore()

### setCreateDumpDirPerClassloader

    public void setCreateDumpDirPerClassloader(boolean b)

### createDumpDirPerClassloader

    public boolean createDumpDirPerClassloader()

### getIncludePatterns

    public java.util.List getIncludePatterns()

### getExcludePatterns

    public java.util.List getExcludePatterns()

### getAspectClassNames

    public java.util.List getAspectClassNames()

### getAspectExcludePatterns

    public java.util.List getAspectExcludePatterns()

### getAspectIncludePatterns

    public java.util.List getAspectIncludePatterns()

### getConcreteAspects

    public java.util.List getConcreteAspects()

### appendWeaverOptions

    public void appendWeaverOptions(java.lang.String option)

### addScopedAspect

    public void addScopedAspect(java.lang.String name,
                                java.lang.String scopePattern)

### getScopeForAspect

    public java.lang.String getScopeForAspect(java.lang.String name)